@font-face {
	font-family: 'Local Noto Sans JP';
	src: local('Noto Sans JP');
}

.kochi-archive-area {
	--kochi-events-card-link-background-color: #fff;
}

[data-theme='blue-theme'] .kochi-archive-area {
	--kochi-events-card-link-background-color: #e1efff;
}

[data-theme='black-theme'] .kochi-archive-area {
	--kochi-events-card-link-background-color: #f8f8f8;
}

.kochi-archive-area {
	margin-inline: auto;
	max-width: 1248px;
}

.kochi-archive-content .kochi-archive-list {
	padding-inline: 24px;
	display: grid;
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item > a {
	border-radius: 16px;
	display: flex;
	flex-direction: column;
	height: 100%;
	text-decoration: none;
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item .kochi-archive-item-thumbnail {
	flex-shrink: 0;
	flex-grow: 0;
	position: relative;
	z-index: 1;
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item .kochi-archive-item-thumbnail::before {
	content: '';
	width: 100%;
	height: 100%;
	position: absolute;
	z-index: 2;
	background-color: rgba(255, 255, 255, 0);
	transition: background-color 300ms ease;
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item .kochi-archive-item-thumbnail img {
	aspect-ratio: 282/400;
	-o-object-fit: cover;
	object-fit: cover;
	width: 100%;
	height: 100%;
	position: relative;
	z-index: 1;
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item .kochi-archive-item-content {
	flex-grow: 1;
	padding: 24px;
	border-radius: 16px;
	display: flex;
	flex-direction: column;
	background-color: var(--kochi-events-card-link-background-color);
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item .kochi-archive-item-date {
	font-size: var(--font-size-small);
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item .kochi-archive-item-title {
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item:hover .kochi-archive-item-thumbnail::before,
.kochi-archive-content .kochi-archive-list .kochi-archive-item:active .kochi-archive-item-thumbnail::before,
.kochi-archive-content .kochi-archive-list .kochi-archive-item:focus-visible .kochi-archive-item-thumbnail::before {
	background-color: rgba(255, 255, 255, 0.3);
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item:hover .kochi-archive-item-title,
.kochi-archive-content .kochi-archive-list .kochi-archive-item:active .kochi-archive-item-title,
.kochi-archive-content .kochi-archive-list .kochi-archive-item:focus-visible .kochi-archive-item-title {
	color: #004ea2;
}

@media screen and (max-width: 1024px) {

	.kochi-archive-area {
		padding-block-end: 48px;
	}

	.kochi-archive-content .kochi-archive-list {
		padding-block: 12px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a {
		row-gap: 8px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item .kochi-archive-item-content {
		row-gap: 4px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item .kochi-archive-item-title {
		font-size: var(--font-size-p-sp);
	}
}

@media screen and (min-width: 1025px) {

	.kochi-archive-area {
		padding-block-end: 80px;
	}

	.kochi-archive-content .kochi-archive-list {
		padding-block: 16px;
		gap: 24px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a {
		row-gap: 12px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item .kochi-archive-item-content {
		row-gap: 8px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item .kochi-archive-item-title {
		font-size: var(--font-size-p-pc);
	}
}

@media screen and (max-width: 768px) {

	.kochi-archive-content .kochi-archive-list {
		grid-template-columns: repeat(2, 1fr);
		gap: 8px 16px;
	}
}

@media screen and (min-width: 769px) {

	.kochi-archive-content .kochi-archive-list {
		grid-template-columns: repeat(4, 1fr);
	}
}

@media screen and (max-width: 1024px) and (min-width: 769px) {

	.kochi-archive-content .kochi-archive-list {
		gap: 16px;
	}
}
